﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RWTextEdit
{
    public partial class Options : Form
    {
        Font editorFont;
        public Font EditorFont {
            get { return editorFont; }
            set {
                editorFont = value;
                this.fontBox.Text = editorFont.Name + ", " + editorFont.SizeInPoints.ToString() + "pt"; }
        }

        public Options()
        {
            InitializeComponent();
            EditorFont = new Font("Courier New", 9);
        }

        private void OKButton_Click(object sender, EventArgs e)
        {
            this.Hide();
        }

        private void serzBrowse_Click(object sender, EventArgs e)
        {
            FileDialog dlg = new OpenFileDialog();
            dlg.CheckFileExists = true;
            dlg.Filter = "Serz Exe file (*.exe)|*.exe";
            if (dlg.ShowDialog() == DialogResult.OK)
                this.SerzPathTextbox.Text = dlg.FileName;
        }

        private void rwBrowse_Click(object sender, EventArgs e)
        {
            FileDialog dlg = new OpenFileDialog();
            dlg.CheckFileExists = true;
            dlg.Filter = "Railworks Exe file (*.exe)|*.exe";
            if (dlg.ShowDialog() == DialogResult.OK)
                this.RailworksPathTextbox.Text = System.IO.Path.GetDirectoryName(dlg.FileName);
        }

        private void fontButton_Click(object sender, EventArgs e)
        {
            try
            {
                if (fontDialog.ShowDialog(this) == DialogResult.OK)
                {
                    EditorFont = fontDialog.Font;
                }
            }
            catch (ArgumentException )
            {
                return;
            }
        }
    }
}
